> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Session

> Poll for a payment session result using the `challengeId` obtained from creating a payment session.



## OpenAPI

````yaml terminal-api GET /terminal/payment-session/{challengeId}
openapi: 3.0.0
info:
  description: Authsignal's Terminal API.
  version: 1.0.0
  title: Terminal API
  termsOfService: https://www.authsignal.com/legal/terms-of-service
  contact:
    email: hello@authsignal.com
servers:
  - url: https://api.authsignal.com/v1
  - url: https://au.api.authsignal.com/v1
  - url: https://eu.api.authsignal.com/v1
  - url: https://ca.api.authsignal.com/v1
security:
  - terminalAuth: []
tags:
  - name: payment-session
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
externalDocs:
  description: Find out more about Authsignal
  url: https://docs.authsignal.com
paths:
  /terminal/payment-session/{challengeId}:
    get:
      tags:
        - payment-session
      summary: Get payment session
      description: >-
        Poll for a payment session result using the `challengeId` obtained from
        creating a payment session.
      operationId: getPaymentSessionById
      parameters:
        - $ref: '#/components/parameters/challengeId'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentSession'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    challengeId:
      name: challengeId
      in: path
      description: The ID of the payment session.
      required: true
      schema:
        type: string
  schemas:
    PaymentSession:
      type: object
      properties:
        challengeId:
          type: string
          description: The ID of the payment session.
        status:
          type: string
          enum:
            - PENDING
            - COMPLETED
            - EXPIRED
            - FAILED
        reference:
          type: string
          description: A reference identifier originating from the point of sale system.
      required:
        - userAuthenticatorId
        - authenticatorType
        - verificationMethod
        - createdAt
      example:
        challengeId: ef6b3212-6121-4a9e-92ef-09d819e36e93
        status: PENDING
        reference: xxx-xxx-xxx
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: e010ddbc-f78f-4d6c-beb8-d4e91d25acaf
  securitySchemes:
    terminalAuth:
      type: apiKey
      in: header
      name: x-authsignal-terminal
      description: >-
        Use your terminal ID obtained from the on-boarded device. This unique
        identifier is required to authenticate requests to the payment session
        APIs from your point of sale terminal.

````